
public class Tablero {
	
	public Casilla[] casillas;
	public Jugador[] jugadores; 
    
    public Tablero(int tipotabl)
    //public Tablero()
    {
    	jugadores = new Jugador[2];
    	
    	if (tipotabl == 1) // 5x5 sin resctrcciones
    	{
	        casillas = new Casilla[25]; //De la 0 a la 24
	        //jugadores = new Jugador[2];
	        
	        //Fichas jugador 1 (llenas)
	        casillas[0] = new Casilla(0, 1, 0);
	        casillas[1] = new Casilla(1, 1, 1);
	        casillas[2] = new Casilla(2, 1, 2);
	        casillas[3] = new Casilla(3, 1, 3);
	        casillas[4] = new Casilla(4, 1, 4);
	        casillas[5] = new Casilla(5, 1, 5);
	        casillas[6] = new Casilla(6, 1, 6);
	        casillas[7] = new Casilla(7, 1, 7);
	        casillas[8] = new Casilla(8, 1, 8);
	        casillas[9] = new Casilla(9, 1, 9);
	        casillas[10] = new Casilla(10, 1, 10);
	        casillas[14] = new Casilla(11, 1, 14);
	                    
	        //Fichas jugador 2 (llenas)
	        //casillas[12] = new Casilla(12, 2, 12);
	        casillas[17] = new Casilla(12, 2, 17);
	              
	        //Fichas vacias
	        casillas[11] = new Casilla(11);
	        casillas[12] = new Casilla(12);/////////
	        casillas[13] = new Casilla(13);
	        casillas[15] = new Casilla(15);
	        casillas[16] = new Casilla(16);
	        //casillas[17] = new Casilla(17);///////
	        casillas[18] = new Casilla(18);
	        casillas[19] = new Casilla(19);
	        casillas[20] = new Casilla(20);
	        casillas[21] = new Casilla(21);
	        casillas[22] = new Casilla(22);
	        casillas[23] = new Casilla(23);
	        casillas[24] = new Casilla(24);
	                    
	        
    	}
    	
    	if (tipotabl == 2) // 7x7 sin restricciones
    	{
    		casillas = new Casilla[49]; //De la 0 a la 24
	        //jugadores = new Jugador[2];
	        
	        //Fichas jugador 1 (llenas)
	        casillas[0] = new Casilla(0, 1, 0);
	        casillas[1] = new Casilla(1, 1, 1);
	        casillas[2] = new Casilla(2, 1, 2);
	        casillas[3] = new Casilla(3, 1, 3);
	        casillas[4] = new Casilla(4, 1, 4);
	        casillas[5] = new Casilla(5, 1, 5);
	        casillas[6] = new Casilla(6, 1, 6);
	        casillas[7] = new Casilla(7, 1, 7);
	        casillas[8] = new Casilla(8, 1, 8);
	        casillas[9] = new Casilla(9, 1, 9);
	        casillas[10] = new Casilla(10, 1, 10);
	        casillas[11] = new Casilla(11, 1, 11);
	        casillas[12] = new Casilla(12, 1, 12);
	        casillas[13] = new Casilla(13, 1, 13);
	        casillas[14] = new Casilla(14, 1, 14);
	        casillas[15] = new Casilla(15, 1, 15);
	        casillas[16] = new Casilla(16, 1, 16);
	        casillas[17] = new Casilla(17, 1, 17);
	        casillas[18] = new Casilla(18, 1, 18);
	        casillas[19] = new Casilla(19, 1, 19);
	        casillas[20] = new Casilla(20, 1, 20);
	                    
	        //Fichas jugador 2 (llenas)
	        casillas[31] = new Casilla(21, 2, 31);
	              
	        //Fichas vacias
	        casillas[21] = new Casilla(21);
	        casillas[22] = new Casilla(22);
	        casillas[23] = new Casilla(23);
	        casillas[24] = new Casilla(24);
	        casillas[25] = new Casilla(25);
	        casillas[26] = new Casilla(26);
	        casillas[27] = new Casilla(27);
	        casillas[28] = new Casilla(28);
	        casillas[29] = new Casilla(29);
	        casillas[30] = new Casilla(30);
	        casillas[32] = new Casilla(32);
	        casillas[33] = new Casilla(33);
	        casillas[34] = new Casilla(34);
	        casillas[35] = new Casilla(35);
	        casillas[36] = new Casilla(36);
	        casillas[37] = new Casilla(37);
	        casillas[38] = new Casilla(38);
	        casillas[39] = new Casilla(39);
	        casillas[40] = new Casilla(40);
	        casillas[41] = new Casilla(41);
	        casillas[42] = new Casilla(42);
	        casillas[43] = new Casilla(43);
	        casillas[44] = new Casilla(44);
	        casillas[45] = new Casilla(45);
	        casillas[46] = new Casilla(46);
	        casillas[47] = new Casilla(47);
	        casillas[48] = new Casilla(48);
	                    
	        //jugadores[0] = new Jugador(1, tipotabl);
	        //jugadores[1] = new Jugador(2, tipotabl);	
    	}
    	if (tipotabl == 3) // Cruz Sin Restricciones
    	{
    		casillas = new Casilla[49]; //De la 0 a la 24
	        //jugadores = new Jugador[2];
	        
	        //Fichas jugador 1 (llenas)
	        casillas[2] = new Casilla(0, 1, 2);
	        casillas[3] = new Casilla(1, 1, 3);
	        casillas[4] = new Casilla(2, 1, 4);
	        casillas[9] = new Casilla(3, 1, 9);
	        casillas[10] = new Casilla(4, 1, 10);
	        casillas[11] = new Casilla(5, 1, 11);
	        casillas[14] = new Casilla(6, 1, 14);
	        casillas[15] = new Casilla(7, 1, 15);
	        casillas[16] = new Casilla(8, 1, 16);
	        casillas[17] = new Casilla(9, 1, 17);
	        casillas[18] = new Casilla(10, 1, 18);
	        casillas[19] = new Casilla(11, 1, 19);
	        casillas[20] = new Casilla(12, 1, 20);
	        

	                    
	        //Fichas jugador 2 (llenas)
	        casillas[38] = new Casilla(13, 2, 38);
	              
	        //Fichas vacias
	        casillas[0] = new Casilla(0);
	        casillas[1] = new Casilla(1);
	        casillas[5] = new Casilla(5);
	        casillas[6] = new Casilla(6);
	        casillas[7] = new Casilla(7);
	        casillas[8] = new Casilla(8);
	        casillas[12] = new Casilla(12);
	        casillas[13] = new Casilla(13);
	        casillas[21] = new Casilla(21);
	        casillas[22] = new Casilla(22);
	        casillas[23] = new Casilla(23);
	        casillas[24] = new Casilla(24);
	        casillas[25] = new Casilla(25);
	        casillas[26] = new Casilla(26);
	        casillas[27] = new Casilla(27);
	        casillas[28] = new Casilla(28);
	        casillas[29] = new Casilla(29);
	        casillas[30] = new Casilla(30);
	        casillas[31] = new Casilla(31);
	        casillas[32] = new Casilla(32);
	        casillas[33] = new Casilla(33);
	        casillas[34] = new Casilla(34);
	        casillas[35] = new Casilla(35);
	        casillas[36] = new Casilla(36);
	        casillas[37] = new Casilla(37);
	        //casillas[38] = new Casilla(38);
	        casillas[39] = new Casilla(39);
	        casillas[40] = new Casilla(40);
	        casillas[41] = new Casilla(41);
	        casillas[42] = new Casilla(42);
	        casillas[43] = new Casilla(43);
	        casillas[44] = new Casilla(44);
	        casillas[45] = new Casilla(45);
	        casillas[46] = new Casilla(46);
	        casillas[47] = new Casilla(47);
	        casillas[48] = new Casilla(48);
	                    
	        //jugadores[0] = new Jugador(1, tipotabl);
	        //jugadores[1] = new Jugador(2, tipotabl);	
    	}
    	
    	if (tipotabl == 4) //5x5 restricciones
    	{
    		casillas = new Casilla[25]; //De la 0 a la 24
	        //jugadores = new Jugador[2];
	        
	        //Fichas jugador 1 (llenas)
	        casillas[0] = new Casilla(0, 1, 0);
	        casillas[1] = new Casilla(1, 1, 1);
	        casillas[2] = new Casilla(2, 1, 2);
	        casillas[3] = new Casilla(3, 1, 3);
	        casillas[4] = new Casilla(4, 1, 4);
	        casillas[5] = new Casilla(5, 1, 5);
	        casillas[6] = new Casilla(6, 1, 6);
	        casillas[7] = new Casilla(7, 1, 7);
	        casillas[8] = new Casilla(8, 1, 8);
	        casillas[9] = new Casilla(9, 1, 9);
	        casillas[10] = new Casilla(10, 1, 10);
	        casillas[14] = new Casilla(11, 1, 14);
	                    
	        //Fichas jugador 2 (llenas)
	        //casillas[12] = new Casilla(12, 2, 12);
	        casillas[17] = new Casilla(12, 2, 17);
	              
	        //Fichas vacias
	        casillas[11] = new Casilla(11);
	        casillas[12] = new Casilla(12);/////////
	        casillas[13] = new Casilla(13);
	        casillas[15] = new Casilla(15);
	        casillas[16] = new Casilla(16);
	        //casillas[17] = new Casilla(17);///////
	        casillas[18] = new Casilla(18);
	        casillas[19] = new Casilla(19);
	        casillas[20] = new Casilla(20);
	        casillas[21] = new Casilla(21);
	        casillas[22] = new Casilla(22);
	        casillas[23] = new Casilla(23);
	        casillas[24] = new Casilla(24);
    	}
    	
    	if (tipotabl == 5) // Cruz Restricciones
    	{
    		casillas = new Casilla[49]; //De la 0 a la 24
	        //jugadores = new Jugador[2];
	        
	        //Fichas jugador 1 (llenas)
	        casillas[2] = new Casilla(0, 1, 2);
	        casillas[3] = new Casilla(1, 1, 3);
	        casillas[4] = new Casilla(2, 1, 4);
	        casillas[9] = new Casilla(3, 1, 9);
	        casillas[10] = new Casilla(4, 1, 10);
	        casillas[11] = new Casilla(5, 1, 11);
	        casillas[14] = new Casilla(6, 1, 14);
	        casillas[15] = new Casilla(7, 1, 15);
	        casillas[16] = new Casilla(8, 1, 16);
	        casillas[17] = new Casilla(9, 1, 17);
	        casillas[18] = new Casilla(10, 1, 18);
	        casillas[19] = new Casilla(11, 1, 19);
	        casillas[20] = new Casilla(12, 1, 20);
	        

	                    
	        //Fichas jugador 2 (llenas)
	        casillas[38] = new Casilla(13, 2, 38);
	              
	        //Fichas vacias
	        casillas[0] = new Casilla(0);
	        casillas[1] = new Casilla(1);
	        casillas[5] = new Casilla(5);
	        casillas[6] = new Casilla(6);
	        casillas[7] = new Casilla(7);
	        casillas[8] = new Casilla(8);
	        casillas[12] = new Casilla(12);
	        casillas[13] = new Casilla(13);
	        casillas[21] = new Casilla(21);
	        casillas[22] = new Casilla(22);
	        casillas[23] = new Casilla(23);
	        casillas[24] = new Casilla(24);
	        casillas[25] = new Casilla(25);
	        casillas[26] = new Casilla(26);
	        casillas[27] = new Casilla(27);
	        casillas[28] = new Casilla(28);
	        casillas[29] = new Casilla(29);
	        casillas[30] = new Casilla(30);
	        casillas[31] = new Casilla(31);
	        casillas[32] = new Casilla(32);
	        casillas[33] = new Casilla(33);
	        casillas[34] = new Casilla(34);
	        casillas[35] = new Casilla(35);
	        casillas[36] = new Casilla(36);
	        casillas[37] = new Casilla(37);
	        //casillas[38] = new Casilla(38);
	        casillas[39] = new Casilla(39);
	        casillas[40] = new Casilla(40);
	        casillas[41] = new Casilla(41);
	        casillas[42] = new Casilla(42);
	        casillas[43] = new Casilla(43);
	        casillas[44] = new Casilla(44);
	        casillas[45] = new Casilla(45);
	        casillas[46] = new Casilla(46);
	        casillas[47] = new Casilla(47);
	        casillas[48] = new Casilla(48);
    	}
    	if (tipotabl == 6) // 7x7 restricciones
    	{
    		casillas = new Casilla[49]; //De la 0 a la 24
	        //jugadores = new Jugador[2];
	        
	        //Fichas jugador 1 (llenas)
	        casillas[0] = new Casilla(0, 1, 0);
	        casillas[1] = new Casilla(1, 1, 1);
	        casillas[2] = new Casilla(2, 1, 2);
	        casillas[3] = new Casilla(3, 1, 3);
	        casillas[4] = new Casilla(4, 1, 4);
	        casillas[5] = new Casilla(5, 1, 5);
	        casillas[6] = new Casilla(6, 1, 6);
	        casillas[7] = new Casilla(7, 1, 7);
	        casillas[8] = new Casilla(8, 1, 8);
	        casillas[9] = new Casilla(9, 1, 9);
	        casillas[10] = new Casilla(10, 1, 10);
	        casillas[11] = new Casilla(11, 1, 11);
	        casillas[12] = new Casilla(12, 1, 12);
	        casillas[13] = new Casilla(13, 1, 13);
	        casillas[14] = new Casilla(14, 1, 14);
	        casillas[15] = new Casilla(15, 1, 15);
	        casillas[16] = new Casilla(16, 1, 16);
	        casillas[17] = new Casilla(17, 1, 17);
	        casillas[18] = new Casilla(18, 1, 18);
	        casillas[19] = new Casilla(19, 1, 19);
	        casillas[20] = new Casilla(20, 1, 20);
	                    
	        //Fichas jugador 2 (llenas)
	        casillas[31] = new Casilla(21, 2, 31);
	              
	        //Fichas vacias
	        casillas[21] = new Casilla(21);
	        casillas[22] = new Casilla(22);
	        casillas[23] = new Casilla(23);
	        casillas[24] = new Casilla(24);
	        casillas[25] = new Casilla(25);
	        casillas[26] = new Casilla(26);
	        casillas[27] = new Casilla(27);
	        casillas[28] = new Casilla(28);
	        casillas[29] = new Casilla(29);
	        casillas[30] = new Casilla(30);
	        casillas[32] = new Casilla(32);
	        casillas[33] = new Casilla(33);
	        casillas[34] = new Casilla(34);
	        casillas[35] = new Casilla(35);
	        casillas[36] = new Casilla(36);
	        casillas[37] = new Casilla(37);
	        casillas[38] = new Casilla(38);
	        casillas[39] = new Casilla(39);
	        casillas[40] = new Casilla(40);
	        casillas[41] = new Casilla(41);
	        casillas[42] = new Casilla(42);
	        casillas[43] = new Casilla(43);
	        casillas[44] = new Casilla(44);
	        casillas[45] = new Casilla(45);
	        casillas[46] = new Casilla(46);
	        casillas[47] = new Casilla(47);
	        casillas[48] = new Casilla(48);
	        
    	}
    	
    	jugadores[0] = new Jugador(1, tipotabl);
        jugadores[1] = new Jugador(2, tipotabl);
    }
}
